"use strict";
const electron_1 = require("electron");
const util_1 = require("./util");
const child_process_1 = require("child_process");
const path = require("path");
function run(args, done) {
    const updateExe = path.resolve(path.dirname(process.execPath), "..", "Update.exe");
    util_1.log("Spawning `%s` with args `%s`", updateExe, args);
    child_process_1.spawn(updateExe, args, {
        detached: true
    })
        .on("close", done);
}
function handleStartupEvent() {
    if (process.platform !== "win32") {
        return false;
    }
    const cmd = process.argv[1];
    util_1.log("Processing squirrel command `%s`", cmd);
    const target = path.basename(process.execPath);
    if (cmd === "--squirrel-install" || cmd === "--squirrel-updated") {
        run(['--createShortcut=' + target + ''], electron_1.app.quit);
        return true;
    }
    else if (cmd === "--squirrel-uninstall") {
        run(['--removeShortcut=' + target + ''], electron_1.app.quit);
        return true;
    }
    else if (cmd === "--squirrel-obsolete") {
        electron_1.app.quit();
        return true;
    }
    else {
        return false;
    }
}
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = handleStartupEvent;
//# sourceMappingURL=WinSquirrelStartupEventHandler.js.map